import { ReactNode } from 'react';
import { CodeMirrorEditor } from './types';
export declare type EditorContextType = {
    headerEditor: CodeMirrorEditor | null;
    queryEditor: CodeMirrorEditor | null;
    responseEditor: CodeMirrorEditor | null;
    variableEditor: CodeMirrorEditor | null;
    setHeaderEditor(newEditor: CodeMirrorEditor): void;
    setQueryEditor(newEditor: CodeMirrorEditor): void;
    setResponseEditor(newEditor: CodeMirrorEditor): void;
    setVariableEditor(newEditor: CodeMirrorEditor): void;
};
export declare const EditorContext: import("react").Context<EditorContextType>;
export declare function EditorContextProvider(props: {
    children: ReactNode;
    initialValue?: string;
}): JSX.Element;
